Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 2805493002: Boolean properties for Accessibility Object Model Phase 1 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 month, 2 weeks ago by dmazzoni
Modified:
4 days, 11 hours ago
Reviewers:
Mike West, aboxhall
CC:
aboxhall+watch_chromium.org, aboxhall, blink-reviews, blink-reviews-dom_chromium.org, chromium-reviews, darin-cc_chromium.org, dglazkov+blink, dmazzoni+watch_chromium.org, dmazzoni, dougt+watch_chromium.org, dtseng+watch_chromium.org, eae+blinkwatch, haraken, jam, je_julie, jochen+watch_chromium.org, mlamouri+watch-content_chromium.org, nektar+watch_chromium.org, nektarios, Peter Beverloo, rwlbuis, sof, yuzo+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Boolean properties for Accessibility Object Model Phase 1 BUG=680345 Review-Url: https://codereview.chromium.org/2805493002 Cr-Commit-Position: refs/heads/master@{#472634} Committed: https://chromium.googlesource.com/chromium/src/+/596baeaaa2a5632f606a226ebdf898272cd4284d

Patch Set 1 #

Total comments: 8

Patch Set 2 : Rebase after great Blink merge #

Patch Set 3 : Address feedback #

Total comments: 2

Patch Set 4 : Should be possible to clear a property #

Patch Set 5 : Fix compile errors and revert changes to variable names from rebasing #

Patch Set 6 : Update webexposed #

Patch Set 7 : Rebase, add unit tests #

Patch Set 8 : Always call AccessibleNode::GetPropertyOrARIAAttribute #

Patch Set 9 : Rebase #

Patch Set 10 : Fix typo in merged comment #

Patch Set 11 : Fix test compile error on Android #

Patch Set 12 : Rebase #

Patch Set 13 : Back to previous patchset, ready to land #

Unified diffs Side-by-side diffs Delta from patch set Stats (+704 lines, -112 lines) Patch
M content/shell/test_runner/web_ax_object_proxy.h View 2 chunks +3 lines, -0 lines 0 comments Download
M content/shell/test_runner/web_ax_object_proxy.cc View 1 2 3 4 5 6 4 chunks +18 lines, -0 lines 0 comments Download
A third_party/WebKit/LayoutTests/accessibility/aom-boolean-properties.html View 1 2 3 4 5 6 1 chunk +166 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/virtual/service-worker-navigation-preload-disabled/webexposed/global-interface-listing-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +22 lines, -0 lines 0 comments Download
M third_party/WebKit/LayoutTests/webexposed/global-interface-listing-expected.txt View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +22 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/dom/AccessibleNode.h View 1 2 3 4 5 6 7 8 9 4 chunks +66 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/core/dom/AccessibleNode.cpp View 1 2 3 4 5 6 10 chunks +206 lines, -15 lines 0 comments Download
M third_party/WebKit/Source/core/dom/AccessibleNode.idl View 1 chunk +11 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXLayoutObject.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +8 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXListBoxOption.cpp View 1 2 3 4 5 6 7 8 12 2 chunks +2 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXNodeObject.cpp View 1 2 3 4 5 6 7 8 12 9 chunks +21 lines, -25 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXObjectCacheImpl.cpp View 1 2 3 4 5 6 7 8 9 10 11 12 2 chunks +5 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXObjectImpl.h View 1 2 3 4 5 6 7 8 9 10 11 12 3 chunks +9 lines, -6 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXObjectImpl.cpp View 1 2 3 4 5 6 7 8 12 8 chunks +53 lines, -33 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXProgressIndicator.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXProgressIndicator.cpp View 1 2 3 chunks +4 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXRadioInput.h View 1 2 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXRadioInput.cpp View 1 2 3 4 5 6 7 8 12 5 chunks +10 lines, -10 lines 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXSlider.h View 1 2 3 4 5 6 7 8 12 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/modules/accessibility/AXSlider.cpp View 1 2 3 4 5 6 7 8 12 2 chunks +2 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/tests/AccessibilityObjectModelTest.cpp View 1 2 3 4 5 6 7 8 9 10 12 1 chunk +73 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 76 (47 generated)
dmazzoni
1 month, 2 weeks ago (2017-04-05 19:48:42 UTC) #5
esprehn
haraken@ I'm curious so these properties are nullable which means getting them can return null, ...
1 month, 2 weeks ago (2017-04-07 00:11:24 UTC) #9
haraken
+bashi for the IDL value conversion question.
1 month, 2 weeks ago (2017-04-07 02:33:51 UTC) #11
bashi
Seems like a historical bug in the code generator. We should use Nullable<bool> but we ...
1 month, 2 weeks ago (2017-04-07 03:52:45 UTC) #12
aboxhall
I don't follow Elliott's comments so I'm just assuming you do and that hoping my ...
1 month, 2 weeks ago (2017-04-07 05:22:35 UTC) #13
dmazzoni
I don't actually see boolean? in any other web idl files: https://cs.chromium.org/search/?q=file:idl+file:webkit+boolean%5C?+package:%5Echromium$&type=cs Of the two ...
1 month, 2 weeks ago (2017-04-07 15:38:37 UTC) #14
dmazzoni
I don't actually see boolean? in any other web idl files: https://cs.chromium.org/search/?q=file:idl+file:webkit+boolean%5C?+package:%5Echromium$&type=cs Of the two ...
1 month, 2 weeks ago (2017-04-07 15:38:37 UTC) #15
bashi
On 2017/04/07 15:38:37, dmazzoni wrote: > I don't actually see boolean? in any other web ...
1 month, 1 week ago (2017-04-10 00:38:10 UTC) #16
bashi
Workaround is landed. https://codereview.chromium.org/2809543002
1 month, 1 week ago (2017-04-10 03:14:10 UTC) #17
esprehn
Is this ready for another review?
1 month ago (2017-04-21 03:17:46 UTC) #22
dmazzoni
Ready for another look https://codereview.chromium.org/2805493002/diff/1/third_party/WebKit/Source/core/dom/AccessibleNode.cpp File third_party/WebKit/Source/core/dom/AccessibleNode.cpp (right): https://codereview.chromium.org/2805493002/diff/1/third_party/WebKit/Source/core/dom/AccessibleNode.cpp#newcode126 third_party/WebKit/Source/core/dom/AccessibleNode.cpp:126: if (attrValue.isNull()) On 2017/04/07 00:11:24, ...
1 month ago (2017-04-21 07:11:38 UTC) #28
dmazzoni
Updated based on the latest spec change. https://codereview.chromium.org/2805493002/diff/40001/third_party/WebKit/LayoutTests/accessibility/aom-boolean-properties.html File third_party/WebKit/LayoutTests/accessibility/aom-boolean-properties.html (right): https://codereview.chromium.org/2805493002/diff/40001/third_party/WebKit/LayoutTests/accessibility/aom-boolean-properties.html#newcode28 third_party/WebKit/LayoutTests/accessibility/aom-boolean-properties.html:28: node.accessibleNode.atomic = ...
2 weeks ago (2017-05-08 05:31:14 UTC) #32
aboxhall
lgtm
1 week, 5 days ago (2017-05-10 06:37:10 UTC) #37
dmazzoni
+mkwst for owners review
1 week, 5 days ago (2017-05-10 06:58:40 UTC) #39
Mike West
LGTM (sorry I missed this! If you wait more than a day, please ping me. ...
1 week ago (2017-05-15 07:49:31 UTC) #40
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/170001
6 days, 17 hours ago (2017-05-15 21:58:51 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: android_arm64_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_arm64_dbg_recipe/builds/268535)
6 days, 16 hours ago (2017-05-15 23:23:41 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/190001
6 days, 10 hours ago (2017-05-16 04:39:28 UTC) #48
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/455448)
6 days, 9 hours ago (2017-05-16 06:10:32 UTC) #50
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/190001
5 days, 21 hours ago (2017-05-16 18:16:09 UTC) #52
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/456207)
5 days, 18 hours ago (2017-05-16 20:45:34 UTC) #54
dmazzoni
Only failure is a known flake, adding notry
5 days, 18 hours ago (2017-05-16 21:20:46 UTC) #56
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/190001
5 days, 10 hours ago (2017-05-17 04:33:55 UTC) #59
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/456934)
5 days, 10 hours ago (2017-05-17 04:43:58 UTC) #61
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/210001
5 days, 9 hours ago (2017-05-17 05:55:00 UTC) #64
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/230001
5 days ago (2017-05-17 15:25:53 UTC) #68
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_rel_ng/builds/457435)
4 days, 22 hours ago (2017-05-17 17:00:49 UTC) #70
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2805493002/230001
4 days, 15 hours ago (2017-05-17 23:51:58 UTC) #72
commit-bot: I haz the power
4 days, 11 hours ago (2017-05-18 03:28:46 UTC) #76
Message was sent while issue was closed.
Committed patchset #13 (id:230001) as
https://chromium.googlesource.com/chromium/src/+/596baeaaa2a5632f606a226ebdf8...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06